## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.1
%bcond_without check

# https://github.com/helm/helm
%global goipath         helm.sh/helm/v3
%global forgeurl        https://github.com/helm/helm
Version:                3.14.0

%gometa -f

%global common_description %{expand:
Helm is a tool for managing Charts. Charts are packages of pre-configured
Kubernetes resources.

Use Helm to:
- Find and use popular software packaged as Helm Charts to run in Kubernetes
- Share your own applications as Helm Charts
- Create reproducible builds of your Kubernetes applications
- Intelligently manage your Kubernetes manifest files
- Manage releases of Helm packages}

%global golicenses      LICENSE
%global godocs          ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md\\\
                        code-of-conduct.md

Name:           %{goname}
Release:        %autorelease
Summary:        The Kubernetes Package Manager

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
# Drop tests that require network access
Patch:          drop-network-tests.patch

%description %{common_description}

%package -n     helm
Summary:        %{summary}

%description -n helm
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
rm pkg/plugin/installer/vcs_installer_test.go

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n helm
%license LICENSE
%doc ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md code-of-conduct.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Feb 14 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 3.14.0-1
- update to 3.14.0 (rhbz#2175110)
- drop patch (fixes https://github.com/helm/helm/issues/12681)
- fix CVE-2023-39325 (rhbz#2248349)

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 3.11.1-6
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 3.11.1-2
- Gate out armv7hl and aarch64 for Fedora 36 due to build failures

* Tue Feb 21 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 3.11.1-1
- Update to 3.11.1; Fixes: RHBZ#1977738, RHBZ#2045644, RHBZ#2138841,
  RHBZ#2142198, RHBZ#2142210, RHBZ#2097975, RHBZ#2155938, RHBZ#2155939,
  RHBZ#2163231, RHBZ#1971091, RHBZ#1971029

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 3.5.4-7
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 3.5.4-5
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> - 3.5.4-4
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 22 20:47:07 PDT 2021 Davide Cavalca <davide@cavalca.name> - 3.5.4-1
- Initial package


## END: Generated by rpmautospec
